class CreatePProductPrices < ActiveRecord::Migration[6.0]
  def change
    create_table :p_product_prices do |t|
      t.boolean :enabled, :default => true
      t.references :p_product_ref, foreign_key: true
      t.references :p_price_cat, foreign_key: true
      t.integer :min
      t.integer :max
      t.decimal :ct_price_ht,   :precision => 14,   :scale => 2
      t.integer :past_p_product_price
      t.datetime :remove_at

      t.timestamps
    end
  end
end
